API Reference

GET /v1/usage

Get current month usage and billing information.

GEThttps://promptdiff.bizmarq.com/api/v1/usage

Parameters

monthstringoptional

Month in YYYY-MM format. Defaults to the current month.

Response

response.json
{
  "user_id": "usr_01j8abc123",
  "email": "you@example.com",
  "month": "2026-03",
  "eval_count": 42,
  "total_charge_usd": 0.58,
  "free_evals_remaining": 58,
  "has_payment_method": true,
  "pricing": {
    "model": "pass-through",
    "description": "LLM API cost + 40% margin",
    "margin": 0.4,
    "free_quota": 100,
    "free_models": [
      "claude-haiku-4-5",
      "gpt-4o-mini",
      "gemini-2.5-flash",
      "grok-3-mini"
    ]
  }
}

Example

bash
curl "https://promptdiff.bizmarq.com/api/v1/usage?month=2026-03" \
  -H "Authorization: Bearer pd_your_api_key_here"